commit:     1b3c518babb664d79ac4637851e8a1e9c01ecc63
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 30 06:27:38 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Oct 30 06:27:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b3c518b

dev-ruby/rjb: add 1.5.5

Package-Manager: portage-2.3.0

 dev-ruby/rjb/Manifest         |  1 +
 dev-ruby/rjb/rjb-1.5.5.ebuild | 82 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-ruby/rjb/Manifest b/dev-ruby/rjb/Manifest
index c2a80f7..55f1299 100644
--- a/dev-ruby/rjb/Manifest
+++ b/dev-ruby/rjb/Manifest
@@ -1 +1,2 @@
 DIST rjb-1.5.4.gem 73216 SHA256 
81df90c028dccd758e8b38c8b7d80620d23ebb5c355233b82c4cacfe85cb4851 SHA512 
add7268f3320e4627b8b92103f420cd5be03319c54cdf0478980631ab57523ed9dd190f7a535b5bc9892d42b049712c18b406bacb36212f8cfb6ce5f3c74766d
 WHIRLPOOL 
bc0feabe46b63b4a1ccd0e2f88c72e24068737ba96ed3e52482921318e5fed8453a798bca5e5001eb815c4e74d3870f70343ce792764bef03f43350062214103
+DIST rjb-1.5.5.gem 73216 SHA256 
8a81557cccf06e06435202cedffe3dcda780a9abe3b803a1057c48165746f2de SHA512 
a1a8f6e6b75555ce228fe8d58b467f783e55ddb12371485d45ad32597ea7ec60d30e3870671455e4e22fd680b5aa21bd952b8abfa36531c030747573e5d43cea
 WHIRLPOOL 
cb146672bc02838fa8ef3f14f972abc0566bbdf25543fddd82569c67bc3835c4b681258b7303392a53315f73b6cfadac7ee40cb69281096ea47310af2b2b8b6e

diff --git a/dev-ruby/rjb/rjb-1.5.5.ebuild b/dev-ruby/rjb/rjb-1.5.5.ebuild
new file mode 100644
index 00000000..e0bf0bf
--- /dev/null
+++ b/dev-ruby/rjb/rjb-1.5.5.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="readme.txt ChangeLog"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit java-pkg-2 ruby-ng ruby-fakegem
+
+DESCRIPTION="Rjb is a Ruby-Java software bridge"
+HOMEPAGE="https://github.com/arton/rjb";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples hardened"
+
+DEPEND=">=virtual/jdk-1.5
+       hardened? ( sys-apps/paxctl )"
+RDEPEND="virtual/jre"
+
+pkg_setup() {
+       ruby-ng_pkg_setup
+       java-pkg-2_pkg_setup
+}
+
+all_ruby_prepare() {
+       # The console is not available for testing.
+       sed -i -e '/test_noarg_sinvoke/,/end/ s:^:#:' test/test.rb || die
+
+       # Avoid encoding tests since not all locales may be available.
+       sed -i -e '/test_kjconv/,/^  end/ s:^:#:' test/test.rb || die
+}
+
+each_ruby_prepare() {
+       #dev-lang/ruby might need the "hardened" flag to enforce the following:
+       if use hardened; then
+               paxctl -v /usr/bin/ruby 2>/dev/null | grep MPROTECT | grep 
disabled || ewarn '!!! rjb will only work if ruby is MPROTECT disabled\n  
please disable it if required using paxctl -m /usr/bin/ruby'
+       fi
+       # force compilation of class file for our JVM
+       rm -rf data
+}
+
+each_ruby_configure() {
+       ${RUBY} -C ext extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+       emake V=1 -C ext CFLAGS="${CFLAGS} -fPIC" archflags="${LDFLAGS}"
+}
+
+each_ruby_install() {
+       each_fakegem_install
+
+       # currently no elegant way to do this (bug #352765)
+       ruby_fakegem_newins ext/rjbcore.so lib/rjbcore.so
+
+       if use examples; then
+               insinto /usr/share/doc/${PF}
+               doins -r samples
+       fi
+}
+
+each_ruby_test() {
+       if use hardened; then
+               paxctl -v ${RUBY} 2>/dev/null | grep MPROTECT | grep -q disabled
+               if [ $? = 0 ]; then
+                       ${RUBY} -C test -I../lib:.:../ext test.rb || die
+               else
+                       ewarn "${RUBY} has MPROTECT enabled, rjb will not work 
until it is disabled, skipping tests."
+               fi
+       else
+               ${RUBY} -C test -I../lib:.:../ext test.rb || die
+       fi
+}

Reply via email to